Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsc.v200410
Class CreateCoordinationContextResponseType

    java.lang.Object
      com.atomikos.icatch.jaxb.wsc.v200410.CreateCoordinationContextResponseType

    public class CreateCoordinationContextResponseType

extends Object

Java class for CreateCoordinationContextResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreateCoordinationContextResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://schemas.xmlsoap.org/ws/2004/10/wscoor}CoordinationContext"/>
             <any/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<Object>` | `any`
`protected CoordinationContext` | `coordinationContext`

Constructor Summary
`CreateCoordinationContextResponseType()`

Method Summary
`List<Object>` | `getAny()` Gets the value of the any property.
`CoordinationContext` | `getCoordinationContext()` Gets the value of the coordinationContext property.
`Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`void` | `setCoordinationContext(CoordinationContext value)` Sets the value of the coordinationContext property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### coordinationContext

    protected CoordinationContext coordinationContext

### any

    protected List<Object> any

Constructor Detail

### CreateCoordinationContextResponseType

    public CreateCoordinationContextResponseType()

Method Detail

### getCoordinationContext

    public CoordinationContext getCoordinationContext()

  Gets the value of the coordinationContext property.

  Returns:
    possible object is `CoordinationContext`

### setCoordinationContext

    public void setCoordinationContext(CoordinationContext value)

  Sets the value of the coordinationContext property.

  Parameters:
    `value` - allowed object is `CoordinationContext`

### getAny

    public List<Object> getAny()

  Gets the value of the any property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

  For example, to add a new item, do as follows:

          getAny().add(newItem);

  Objects of the following type(s) are allowed in the list `Element` `Object`

### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.